[Scipy-tickets] [SciPy] #607: Compilation of SciPy 0.6.0 on AMD64 Phenom fails

SciPy scipy-tickets@scipy....
Wed Feb 20 14:33:29 CST 2008


#607: Compilation of SciPy 0.6.0 on AMD64 Phenom fails
---------------------------+------------------------------------------------
 Reporter:  hasenkopf      |       Owner:  somebody
     Type:  defect         |      Status:  new     
 Priority:  high           |   Milestone:  0.7     
Component:  scipy.fftpack  |     Version:          
 Severity:  blocker        |    Keywords:          
---------------------------+------------------------------------------------
 After successfully building and installing NumPy 1.0.4 with Python 2.5
 the command "python2.5 setup.py build" for building SciPy 0.6.0 returns
 the following error:


 {{{
 Fortran f77 compiler: /usr/bin/g77 -g -Wall -fno-second-underscore -fPIC
 -O3 -funroll-loops -march=k6-2 -mmmx -m3dnow -msse2 -msse
 compile options: '-c'
 g77:f77: scipy/fftpack/dfftpack/dcosqi.f
 scipy/fftpack/dfftpack/dcosqi.f:0: error: CPU you selected does not
 support x86-64 instruction set
 scipy/fftpack/dfftpack/dcosqi.f:0: error: CPU you selected does not
 support x86-64 instruction set
 scipy/fftpack/dfftpack/dcosqi.f:0: error: CPU you selected does not
 support x86-64 instruction set
 scipy/fftpack/dfftpack/dcosqi.f:0: error: CPU you selected does not
 support x86-64 instruction set
 error: Command "/usr/bin/g77 -g -Wall -fno-second-underscore -fPIC -O3
 -funroll-loops -march=k6-2 -mmmx -m3dnow -msse2 -msse -c -c
 scipy/fftpack/dfftpack/dcosqi.f -o
 build/temp.linux-x86_64-2.5/scipy/fftpack/dfftpack/dcosqi.o" failed with
 exit status 1
 }}}

-- 
Ticket URL: <http://www.scipy.org/scipy/scipy/ticket/607>
SciPy <http://www.scipy.org/>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list